Subject: Re: [manet] AODV kernel module problem

From: Pankaj Godbole <[email-masked]>
Date: Mon, 1 Nov 2004 09:11:36 -0800

Thanks Luke,

The module is working now. The reason for the error was that I was
passing the wrong interface to $use_dev in start.sh.

Regards,
Pankaj.

On Mon, 1 Nov 2004 10:02:07 -0500, Luke Klein-Berndt <[email-masked]> wrote:
> Hi Pankaj,
>         I think what might be happening is that additional error
> messages are being generated by Kernel AODV. I would check the kernel
> log to see if there are any messages there. I would also make sure the
> interface you specify in the start.sh is properly configured and has an
> IP address.
> 
> Try: "insmod kernel_aodv.o use_dev=wlan0(or the interface you wish to
> use)"
> 
> Also if you would like to use modprobe, make sure you do "make install"
> to place the module into the correct directory.
> 
> Hope this helps, send me an email if it doesn't.
> 
> -Luke Klein-Berndt
> 
> 
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]
> > On Behalf Of Pankaj Godbole
> > Sent: Friday, October 29, 2004 10:49 PM
> > To: [email-masked]
> > Subject: [manet] AODV kernel module problem
> >
> >
> > Hi All,
> >
> > Has anybody tried to install and run the AODV kernel module
> > from NIST ( kernel-aodv_v2.2.2)? I have successfully compiled
> > this module, but when I try to run the script: start.sh, it
> > returns an error saying
> > "init_module: Operation not permitted" or "modprobe: Can't
> > locate module"
> >
> > I have checked the paths to the module and also tried
> > modifying the start.sh script but to no avail. If anyone has
> > had success with this could you please guide me as to where I
> > could be going wrong?
> >
> > Thanks in advance.
> > Pankaj.
> > 
> > _______________________________________________
> > manet mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/manet
> >
> >
> >
> 
>

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet